# H248_IndAudSeqSigList Class Reference

`#include <h248.h>`

Inheritance diagram for H248_IndAudSeqSigList:

List of all members.

## Public Types

enum | OptionalFields { e_signalList }

## Public Member Functions

| H248_IndAudSeqSigList (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_id
H248_IndAudSignal | m_signalList

## Member Enumeration Documentation

enum H248_IndAudSeqSigList::OptionalFields

Enumerator:

  e_signalList |

## Constructor & Destructor Documentation

H248_IndAudSeqSigList::H248_IndAudSeqSigList | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_IndAudSeqSigList::GetDataLength | ( |  | ) | const

PBoolean H248_IndAudSeqSigList::Decode | ( | PASN_Stream & | strm | ) |

void H248_IndAudSeqSigList::Encode | ( | PASN_Stream & | strm | ) | const

void H248_IndAudSeqSigList::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_IndAudSeqSigList::Compare | ( | const PObject & | obj | ) | const

PObject* H248_IndAudSeqSigList::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H248_IndAudSeqSigList::m_id

H248_IndAudSignal H248_IndAudSeqSigList::m_signalList

The documentation for this class was generated from the following file:

- h248.h